## pidgin-kwallet-1.1.0-9.src.tar.gz

=== CMakeLists.txt ===
project(PidginKWallet)
cmake_minimum_required(VERSION 2.4.0)

set(CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_CURRENT_SOURCE_DIR}/README")
set(CPACK_GENERATOR "DEB;RPM;TGZ")
set(CPACK_SOURCE_GENERATOR "TBZ2")
set(CPACK_PACKAGE_VERSION_MAJOR "1")
set(CPACK_PACKAGE_VERSION_MINOR "1")
set(CPACK_PACKAGE_VERSION_PATCH "0")
set(CPACK_PACKAGE_CONTACT "Craig Drummond <craig.p.drummond@googlemail.com>")
set(PIDGINKWALLET_VERSION "${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}")
set(PIDGINKWALLET_VERSION_FULL "${PIDGINKWALLET_VERSION}.${CPACK_PACKAGE_VERSION_PATCH}")
set(CPACK_SOURCE_PACKAGE_FILE_NAME "${CMAKE_PROJECT_NAME}-${PIDGINKWALLET_VERSION_FULL}")
set(CPACK_PACKAGE_FILE_NAME "${CMAKE_PROJECT_NAME}-${PIDGINKWALLET_VERSION_FULL}")
include(CPack)

include(UsePkgConfig)
pkgconfig(glib-2.0 GLIB_INCLUDE_DIR GLIB_LIB_DIR GLIB_LINK_FLAGS GLIB_CFLAGS)

if (NOT GLIB_INCLUDE_DIR)
    message(FATAL_ERROR "Could not locate Glib include files")
endif (NOT GLIB_INCLUDE_DIR)

pkgconfig(dbus-glib-1 DBUS_INCLUDE_DIR DBUS_LIB_DIR DBUS_LINK_FLAGS DBUS_CFLAGS)
if (NOT DBUS_INCLUDE_DIR)
    message(FATAL_ERROR "Could not locate D-Bus include files")
endif (NOT DBUS_INCLUDE_DIR)

pkgconfig(purple PURPLE_INCLUDE_DIR PURPLE_LIB_DIR PURPLE_LINK_FLAGS PURPLE_CFLAGS)
if (NOT PURPLE_INCLUDE_DIR)
    message(FATAL_ERROR "Could not locate libpurple include files")
endif (NOT PURPLE_INCLUDE_DIR)

configure_file(config.h.cmake ${CMAKE_BINARY_DIR}/config.h)

add_subdirectory(plugin)

=== plugin/CMakeLists.txt ===
include_directories (${CMAKE_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_SOURCE_DIR}/common ${CMAKE_BINARY_DIR} )
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${GLIB_CFLAGS} ${PURPLE_CFLAGS} ${DBUS_CFLAGS}")
set(kwallet_SRCS kwallet.c)
add_library(kwallet MODULE ${kwallet_SRCS})
target_link_libraries(kwallet ${GLIB_LINK_FLAGS} ${PURPLE_LINK_FLAGS} ${DBUS_LINK_FLAGS})
install(TARGETS kwallet LIBRARY DESTINATION ${PURPLE_LIB_DIR}/purple-2)

=== PKGBUILD ===
# Maintainer: Felix Yan <felixonmars@archlinux.org>
# Contributor: Mateusz Slazynski <ceceron@gmail.com>

pkgname=pidgin-kwallet
pkgver=1.1.0
pkgrel=9
pkgdesc="KWallet plugin for Pidgin"
arch=('x86_64')
url="https://www.linux-apps.com/content/show.php/Pidgin+KWallet+Plugin?content=127136"
license=('GPL')
depends=('libpurple' 'kwallet')
makedepends=('cmake')
# The original url is dynamically generated at regular intervals and cannot be relied on.
source=("https://sources.archlinux.org/other/packages/$pkgname/127136-PidginKWallet-$pkgver.tar.bz2")
sha512sums=('836bd2acefe9f6e9adc157217d917dfcf9bf8acc9934f9f036c367c9424a730f036174c3ef273f84677a60bb098146606ef59fb6de3a1c9708fb5e2fbac59adc')

build() {
  cmake -S PidginKWallet-$pkgver -B build \
    -D CMAKE_INSTALL_PREFIX=/usr \
    -D CMAKE_POLICY_VERSION_MINIMUM=3.5
  cmake --build build
}

package() {
  DESTDIR="$pkgdir" cmake --install build
}
